accrue.analysis.interprocanalysis

## Class DataFlowNodeIdentifier_c

- java.lang.Object
- - accrue.analysis.interprocanalysis.NodeIdentifier_c
  - - accrue.analysis.interprocanalysis.DataFlowNodeIdentifier_c

- All Implemented Interfaces:
    DataFlowNodeIdentifier, NodeIdentifier

      public class DataFlowNodeIdentifier_c
      extends NodeIdentifier_c
      implements DataFlowNodeIdentifier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected polyglot.visit.FlowGraph.PeerKey` | `peerKey`

    - ### Fields inherited from class accrue.analysis.interprocanalysis.NodeIdentifier_c

      `context, hc_valid, memoizedHashCode, node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowNodeIdentifier_c(AnalysisContext context, polyglot.visit.FlowGraph.PeerKey peerKey, polyglot.ast.Term node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `computeHashCode()`
    `boolean` | `equals(java.lang.Object o)`
    `polyglot.visit.FlowGraph.PeerKey` | `getPeerKey()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.NodeIdentifier_c

      `getContext, getNode, hashCode, isNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface accrue.analysis.interprocanalysis.NodeIdentifier

      `getContext, getNode, isNative`

- - ### Field Detail

    - #### peerKey

          protected final polyglot.visit.FlowGraph.PeerKey peerKey

  - ### Constructor Detail

    - #### DataFlowNodeIdentifier_c

          public DataFlowNodeIdentifier_c(AnalysisContext context,
                                  polyglot.visit.FlowGraph.PeerKey peerKey,
                                  polyglot.ast.Term node)

  - ### Method Detail

    - #### getPeerKey

          public polyglot.visit.FlowGraph.PeerKey getPeerKey()

      Specified by:
        `getPeerKey` in interface `DataFlowNodeIdentifier`

    - #### computeHashCode

          protected int computeHashCode()

      Overrides:
        `computeHashCode` in class `NodeIdentifier_c`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `NodeIdentifier_c`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `NodeIdentifier_c`